ixl(4): Update to ixl-1.6.6-k.
ClosedPublic

Authored by erj on Aug 1 2016, 9:51 PM.

Details

Summary

Biggest change:

  • Support for X722 hardware
Test Plan

TODO

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
erj updated this revision to Diff 18946.Aug 1 2016, 9:51 PM
erj retitled this revision from to ixl(4): Update to ixl-1.6.6-k..
erj updated this object.
erj edited the test plan for this revision. (Show Details)
erj set the repository for this revision to rS FreeBSD src repository.
erj added a project: Intel Networking.
erj updated this revision to Diff 18950.Aug 1 2016, 10:49 PM
erj updated this object.

Trying this again with a newer version of arcanist...

sbruno added a subscriber: sbruno.Aug 1 2016, 11:11 PM

I think we'd need a bit *more* of a commit log on this one. Any chance of getting a paragraph or two?

erj added a comment.Aug 1 2016, 11:18 PM

I think we'd need a bit *more* of a commit log on this one. Any chance of getting a paragraph or two?

Yeah; there's a list of commit notes that I need to condense -- I just wanted to get this up so Jeff could test it in its current form.

The patch generated by Phabricator doesn't 'seem to manually apply to 11-BETA3 due the added files. It "should" just create them, but doesn't:

Hmm... The next patch looks like a unified diff to me...

The text leading up to this was:

Index: sys/dev/ixl/ixl_pf_iov.h
===================================================================
--- sys/dev/ixl/ixl_pf_iov.h
+++ sys/dev/ixl/ixl_pf_iov.h

File to patch: sys/dev/ixl/ixl_pf_iov.h
No file found--skip this patch? [n] n
patch: **** can't find sys/dev/ixl/ixl_pf_iov.h

Arc patch applies cleanly to stable/11, but fails to compile. Something in dtrace:

make[5]: make[5]: don't know how to make /diskless/os/FreeBSD/11-BETA3_2016-07-29_FPK/usr/src/sys/cddl/dev/dtrace/amd64/instr_size.c. Stop

the same kernel compiles and boots fine without the patch applied.

erj updated this revision to Diff 18973.Aug 2 2016, 8:53 PM

ixl/ixlv: Fix INET not being defined by including option headers in central ixl.h header.

sbruno added a comment.Aug 4 2016, 3:06 AM

As far as I can tell, the error you're experiencing is from Phabricator, not the

The patch generated by Phabricator doesn't 'seem to manually apply to 11-BETA3 due the added files. It "should" just create them, but doesn't:

Hmm... The next patch looks like a unified diff to me...
The text leading up to this was:


Index: sys/dev/ixl/ixl_pf_iov.h
===================================================================
--- sys/dev/ixl/ixl_pf_iov.h
+++ sys/dev/ixl/ixl_pf_iov.h

File to patch: sys/dev/ixl/ixl_pf_iov.h
No file found--skip this patch? [n] n
patch: **** can't find sys/dev/ixl/ixl_pf_iov.h

Arc patch applies cleanly to stable/11, but fails to compile. Something in dtrace:

make[5]: make[5]: don't know how to make /diskless/os/FreeBSD/11-BETA3_2016-07-29_FPK/usr/src/sys/cddl/dev/dtrace/amd64/instr_size.c. Stop

the same kernel compiles and boots fine without the patch applied.

Try using arcanist (pkg install php5-arcanist) instead. Phabricator is definitely doing something wrong here.

"arc patch D7391" seems to work fine for me.

As far as I can tell, the error you're experiencing is from Phabricator, not the

The patch generated by Phabricator doesn't 'seem to manually apply to 11-BETA3 due the added files. It "should" just create them, but doesn't:

Hmm... The next patch looks like a unified diff to me...
The text leading up to this was:


Index: sys/dev/ixl/ixl_pf_iov.h
===================================================================
--- sys/dev/ixl/ixl_pf_iov.h
+++ sys/dev/ixl/ixl_pf_iov.h

File to patch: sys/dev/ixl/ixl_pf_iov.h
No file found--skip this patch? [n] n
patch: **** can't find sys/dev/ixl/ixl_pf_iov.h

Arc patch applies cleanly to stable/11, but fails to compile. Something in dtrace:

make[5]: make[5]: don't know how to make /diskless/os/FreeBSD/11-BETA3_2016-07-29_FPK/usr/src/sys/cddl/dev/dtrace/amd64/instr_size.c. Stop

the same kernel compiles and boots fine without the patch applied.

Try using arcanist (pkg install php5-arcanist) instead. Phabricator is definitely doing something wrong here.

"arc patch D7391" seems to work fine for me.

Yes, I usually do use arc patch, but I was trying to avoid cloning src to use it :) When I did try it for this patch, it was before INET was defined, so I kept having various issues. I finally got a git diff from erj and am currently using that. I should be done this week.

jeffrey.e.pieper_intel.com edited edge metadata.

Tested basic functionality, stress with netperf with both ixl and ixlv.

This revision is now accepted and ready to land.Aug 5 2016, 2:14 PM
This revision was automatically updated to reflect the committed changes.